# m_raw_channel.h File Reference

## Detailed Description

Mode class for a raw channel.

Definition in file m_raw_channel.h.

`#include "dll.h"`
`#include "m_mode_base.h"`
`#include "socket.h"`
`#include "data.h"`
`#include <string>`
`#include <pthread.h>`

Include dependency graph for m_raw_channel.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry
namespace | Barry::Mode

## Classes

class | Barry::Mode::RawChannelDataCallback
class | Barry::Mode::RawChannel
| The main class for creating a raw channel session. More...